NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShipDesign.EdgeReinforcementBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature. More...

Inheritance diagram for NXOpen.Features.ShipDesign.EdgeReinforcementBuilder:
NXOpen.Features.ShipDesign.ProfileSystemBuilder NXOpen.Features.ShipDesign.FeatureParmsBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EndCutTypes {
  Connected, FlangeFree, Sniped, SnipedSquare,
  None
}
 Used to specify the type of end cut to be used at the extreme ends of the edge reinforcement system. More...
 
enum  OrientationMethods { FaceNormal, Vector }
 Used to specify the type of reference to use for specifying the orientation of the edge reinforcement system. More...
 
enum  Types { OnEdge, OnFace }
 Used to specify how the edge reinforcement system is defined. More...
 

Properties

unsafe bool BuildSolid [get, set]
 Returns or sets the indication of whether to build a solid for the edge reinforcement or just the curve. More...
 
unsafe bool CreateSeamsAtKnuckles [get, set]
 Returns or sets the flag that indicates if seams are to be created or updated at knuckle locations. More...
 
unsafe NXOpen.Section Edges [get]
 Returns the edges to reinforce. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutTypes 
EndCutEnd [get, set]
 Returns or sets the end cut to use at the end of the edge reinforcement system. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutTypes 
EndCutStart [get, set]
 Returns or sets the end cut to use at the start of the edge reinforcement system. More...
 
unsafe
NXOpen.Features.ShipDesign.EndCutBuilder 
EndEndCut [get]
 Returns the detailed end end cut. More...
 
unsafe double KnuckleLocationTolerance [get, set]
 Returns or sets the tolerance used to determine when knuckle locations are considered to be the same. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset used for the offset distance from anchor point. More...
 
unsafe NXOpen.Expression OrientationAngle [get]
 Returns the angle to use for the edge reinforcement orientation. More...
 
unsafe
NXOpen.Features.ShipDesign.OrientationDefinitionBuilder 
OrientationDefinitionBuilder [get]
 Returns the builder used to define the orientation for the edge reinforcement system. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationMethods 
OrientationMethod [get, set]
 Returns or sets the method used to orient the edge reinforcement. More...
 
unsafe NXOpen.Direction OrientationVector [get, set]
 Returns or sets the orientation vector when the orientation method is NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationMethods.Vector . More...
 
unsafe bool Reverse [get, set]
 Returns or sets the indication if the default direction of the flange is reverse or not. More...
 
unsafe bool ReverseAttachmentDirection [get, set]
 Returns or sets the flag that indicates if the attachment direction is reversed. More...
 
unsafe
NXOpen.Features.ShipDesign.ShipNamesBuilder 
ShipNames [get]
 Returns the Ship Names builder, used to assign names to the Edge Reinforcement Systems created. More...
 
unsafe
NXOpen.Features.ShipDesign.EndCutBuilder 
StartEndCut [get]
 Returns the detailed start end cut. More...
 
unsafe
NXOpen.Features.ShipDesign.StiffenerStockBuilder 
StockData [get]
 Returns the stock data used to define the stock information of the edge reinforcement. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Types 
Type [get, set]
 Returns or sets the type of placement being used in the edge reinforcement definition. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Weld [get]
 Returns the builder used to specify the welding characteristics for the edge reinforcement. More...
 
- Properties inherited from NXOpen.Features.ShipDesign.ProfileSystemBuilder
unsafe NXOpen.SelectNXObjectList Boundary1 [get]
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. More...
 
unsafe NXOpen.Plane Boundary1Plane [get, set]
 Returns or sets the defined plane that will be used to trim the first end of the generated profile system. More...
 
unsafe NXOpen.SelectNXObjectList Boundary2 [get]
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. More...
 
unsafe NXOpen.Plane Boundary2Plane [get, set]
 Returns or sets the defined plane that will be used to trim the second end of the generated profile system. More...
 
unsafe bool BoundaryOneModified [get, set]
 Returns or sets the flag that indicates if the boundary 1 has been modified. More...
 
unsafe bool BoundaryReverse [get, set]
 Returns or sets the indication if the side of a single boundary should be changed to the other side or not. More...
 
unsafe bool BoundaryTwoModified [get, set]
 Returns or sets the flag that indicates if the boundary 2 has been modified. More...
 
unsafe NXOpen.SelectPointList FirstIntersectionPoints [get]
 Returns the selected intersection points between the curves and the first boundary. More...
 
unsafe bool ReversePathDirection [get, set]
 Returns or sets the flag that indicates if the default curve direction should be reversed or not. More...
 
unsafe NXOpen.SelectPointList SecondIntersectionPoints [get]
 Returns the selected intersection points between the curves and the second boundary. More...
 
unsafe NXOpen.SelectPointList SplitKnuckleLocations [get]
 Returns the collector containing the knuckle points that are to be used to create seams. More...
 
unsafe bool UseNewDefaultSectionAlgorithm [get, set]
 Returns or sets the flag that indicates if the new default section algorithm is used. More...
 
- Properties inherited from NXOpen.Features.ShipDesign.FeatureParmsBuilder
unsafe double AngleTolerance [get, set]
 Returns or sets the tolerance, in degrees, used to determine when angles are zero. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the tolerance used to determine when distances are considered zero. More...
 
unsafe
NXOpen.Features.ShipDesign.FeatureParmsBuilder.OrientationAngleRuleTypes 
OrientationAngleRule [get, set]
 Returns or sets the angle rule to use when measuring angles. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.ShipDesign.ProfileSystemBuilder
unsafe void CreatePathCurves (out NXOpen.NXObject[] curves)
 Creates path curves for all the paths of the profile system. More...
 
unsafe void CreatOrientationPathCurve ()
 Creates the orientation path curves. More...
 
unsafe void DeleteLastPathCurves ()
 Deletes the path curves returned from a call to GetLastPathCurves . More...
 
unsafe void DeletePathCurves ()
 Deletes the path curves created from a call to CreatePathCurves . More...
 
unsafe void GetLastPathCurves (out NXOpen.NXObject[] curves)
 Gets the path curves used by NXOpen.Features.ShipDesign.OrientationDefinitionBuilder . More...
 
unsafe void SetBoundaryOnePoints (NXOpen.Point3d[] points)
 Sets the selected intersection points for the first boundary. More...
 
unsafe void SetBoundaryTwoPoints (NXOpen.Point3d[] points)
 Set the selected intersection points for the second boundary. More...
 
unsafe void SetRegionPoints (NXOpen.Point3d[] points)
 Sets the points that identify which regions of the curves will be used. More...
 
unsafe void UpdateEndcutChangeStatus (bool isChangeStart, bool isChangeEnd, bool isAllInBoudary)
 Updates the endcut change status. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.EdgeReinforcement builder which is used to create or edit a edge reinforcement system feature.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateEdgeReinforcementBuilder

Default values.

Property Value

EndCutEnd

Connected

EndCutStart

Connected

EndEndCut.ConnectionType

Connected

EndEndCut.DraftAngle.Value

0

EndEndCut.DraftOffset.Value

0 (millimeters part), 0 (inches part)

EndEndCut.DraftType

Trim

EndEndCut.EndFaceType

NeatTrim

EndEndCut.LimitType

Value

EndEndCut.Offset.Value

0 (millimeters part), 0 (inches part)

EndEndCut.SelectionType

FacesWithAttributes

EndEndCut.ShearAngle.Value

0

EndEndCut.TiltAngle.Value

0

OrientationAngle.Value

0

OrientationDefinitionBuilder.MeasureAngles

NormaltoCurve

OrientationDefinitionBuilder.ShowSurfaceAngles

0

OrientationDefinitionBuilder.ShowTwistRate

0

OrientationDefinitionBuilder.ShowWebAngles

0

OrientationMethod

FaceNormal

StockData.AnchorPoint

0

StockData.PlateHeight.Value

50 (millimeters part), 2 (inches part)

StockData.PlateStockData.KnuckleRatio

3.0

StockData.PlateStockData.KnuckleSmoothAngle

3.0

StockData.PlateStockData.MaterialOption

0

StockData.PlateStockData.OppositeThickness.Value

0 (millimeters part), 0 (inches part)

StockData.PlateStockData.RestrictThicknessToMaterial

true

StockData.PlateStockData.ThickenOption

SingleSided

StockData.PlateStockData.Thickness.Value

10 (millimeters part), 0.5 (inches part)

StockData.PlateStockData.ThicknessSourceOption

List

StockData.SectionType

Profile

Created in NX8.0.0

Member Enumeration Documentation

Used to specify the type of end cut to be used at the extreme ends of the edge reinforcement system.

Enumerator
Connected 
FlangeFree 
Sniped 
SnipedSquare 
None 

Used to specify the type of reference to use for specifying the orientation of the edge reinforcement system.

Enumerator
FaceNormal 
Vector 

Used to specify how the edge reinforcement system is defined.

Enumerator
OnEdge 
OnFace 

Property Documentation

unsafe bool NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.BuildSolid
getset

Returns or sets the indication of whether to build a solid for the edge reinforcement or just the curve.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.CreateSeamsAtKnuckles
getset

Returns or sets the flag that indicates if seams are to be created or updated at knuckle locations.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Section NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Edges
get

Returns the edges to reinforce.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutTypes NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutEnd
getset

Returns or sets the end cut to use at the end of the edge reinforcement system.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutTypes NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndCutStart
getset

Returns or sets the end cut to use at the start of the edge reinforcement system.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.EndCutBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.EndEndCut
get

Returns the detailed end end cut.

Created in NX12.0.2

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.KnuckleLocationTolerance
getset

Returns or sets the tolerance used to determine when knuckle locations are considered to be the same.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Offset
get

Returns the offset used for the offset distance from anchor point.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationAngle
get

Returns the angle to use for the edge reinforcement orientation.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.OrientationDefinitionBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationDefinitionBuilder
get

Returns the builder used to define the orientation for the edge reinforcement system.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationMethods NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationMethod
getset

Returns or sets the method used to orient the edge reinforcement.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationVector
getset

Returns or sets the orientation vector when the orientation method is NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.OrientationMethods.Vector .

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Reverse
getset

Returns or sets the indication if the default direction of the flange is reverse or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.ReverseAttachmentDirection
getset

Returns or sets the flag that indicates if the attachment direction is reversed.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.ShipNamesBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.ShipNames
get

Returns the Ship Names builder, used to assign names to the Edge Reinforcement Systems created.

Created in NX9.0.2

License requirements: None.

unsafe NXOpen.Features.ShipDesign.EndCutBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.StartEndCut
get

Returns the detailed start end cut.

Created in NX12.0.2

License requirements: None.

unsafe NXOpen.Features.ShipDesign.StiffenerStockBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.StockData
get

Returns the stock data used to define the stock information of the edge reinforcement.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Types NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Type
getset

Returns or sets the type of placement being used in the edge reinforcement definition.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Features.ShipDesign.EdgeReinforcementBuilder.Weld
get

Returns the builder used to specify the welding characteristics for the edge reinforcement.

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.